Skip to content
Start here

Files

Deprecated
GET/accounts/{account_id}/autorag/rags/{id}/files

Files

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Auto Rag WriteAuto Rag Read
Path ParametersExpand Collapse
account_id: string
id: string

rag id

maxLength32
minLength1
Query ParametersExpand Collapse
page: optional number
minimum1
per_page: optional number
maximum50
minimum0
status: optional "completed" or "queued" or "running" or "error"
One of the following:
"completed"
"queued"
"running"
"error"
ReturnsExpand Collapse
result: array of { error, key }
error: string
key: string
result_info: { count, page, total_count, per_page }
count: number
page: number
total_count: number
per_page: optional number
maximum50
minimum5
success: boolean

Files

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/autorag/rags/$ID/files \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "error": "error",
      "key": "key"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "total_count": 0,
    "per_page": 5
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "error": "error",
      "key": "key"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "total_count": 0,
    "per_page": 5
  },
  "success": true
}